Package org.eclipse.microprofile.fault.tolerance.tck.metrics.common

# Class TimeoutMetricBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.metrics.common.TimeoutMetricBean

@RequestScoped public class TimeoutMetricBean extends Object

## Constructor Summary

Constructors
Constructor
Description
`TimeoutMetricBean()`

## Method Summary

Modifier and Type
Method
Description
`void`
`counterTestWorkForMillis(long millis)`
`void`
`histogramTestWorkForMillis(long millis)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TimeoutMetricBean

public TimeoutMetricBean()

## Method Details

### counterTestWorkForMillis

@Timeout(500L) public void counterTestWorkForMillis(long millis)

### histogramTestWorkForMillis

@Timeout(2000L) public void histogramTestWorkForMillis(long millis)